Subject: linux-next: build warnings after merge of the pci tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 2 Aug 2010 11:18:38 +1000

Hi Jesse,

After merging the rr tree, today's linux-next build (powerpc
ppc64_defconfig) produced lots of these warnings:

drivers/pci/pci.h: In function 'pci_create_firmware_label_files':
drivers/pci/pci.h:16: warning: 'return' with a value, in function returning void
drivers/pci/pci.h: In function 'pci_remove_firmware_label_files':
drivers/pci/pci.h:18: warning: 'return' with a value, in function returning void

Introduced by commit 911e1c9b05a8e3559a7aa89083930700a0b9e7ee ("PCI:
export SMBIOS provided firmware instance and label to sysfs").

Please build with and without the CONFIG options your new code depends
on ...  This adds considerably to the build noise.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/